Create a template
curl --request POST \
--url https://formable-production.up.railway.app/api/v0/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form filename=document.docximport requests
url = "https://formable-production.up.railway.app/api/v0/templates"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "filename": "document.docx" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('filename', 'document.docx');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://formable-production.up.railway.app/api/v0/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"templateId": "abc123xyz",
"editTemplateAccess": {
"editUrl": "https://app.formabledocs.com/template-setup/abc123xyz",
"expiresAt": "2024-01-16T10:30:00.000Z"
}
}{
"error": "templateId is required"
}{
"error": "Auth token not valid"
}{
"error": "File size exceeds the 40MB limit"
}{
"error": "Internal server error"
}Templates
Create a template
Upload a PDF or DOCX file to create a new template. The file must be under 40MB and be either a PDF, DOC, or DOCX file.
POST
/
v0
/
templates
Create a template
Authorizations
OAuth 2.0 client credentials access token, passed as a Bearer token in the Authorization header.
Body
multipart/form-data
⌘I